Subject: Re: [PATCH] Remove dependency on IO::String from Git.pm test

From: Jakub Narebski <[email-masked]>
Date: Wed, 18 Jun 2008 19:52:00 +0200

On Wed, 18 Jun 2008, Johannes Schindelin wrote:
> On Wed, 18 Jun 2008, Jakub Narebski wrote:
> > Michael Hendricks <[email-masked]> writes:
> > 
> > > Instead of using IO::String to create an in-memory filehandle, use 
> > > open() with a scalar reference as the filename.  This feature has been 
> > > available since Perl 5.8.0 (which was released in 2002), so it should 
> > > be available pretty much everywhere by now.
> > 
> > Besides if I understand correctly gitweb very much requires Perl >= 5.8 
> > because of required Unicode support.
> 
> Did I miss something?  Was this patch not more about Git.pm?

Oops... You are right, my mistake.

For my defense I'd like to point out that the patch this patch is
response to was made by gitweb caching project GSoC student, Lea Wiemann
(who should have been CC-ed, by the way).
 
> BTW I think it is not nice at all how the dependency hell with Git.pm is 
> made worse recently.

It is not dependency for Git.pm, but for Git.pm TEST.

> It is fascinating through how much _pain_ we go with the shell scripts to 
> maintain portability, even with _very_ old or obscure systems (see the SCO 
> server patches that came in not long ago!), and just walk over that 
> portability when it comes to Perl...

And I pointed out how it could be resolved (use 5.8 specific feature,
or IO::String, or skip tests).

-- 
Jakub Narebski
Poland